# $Revision: 1.23 $, $Date: 2012/01/14 18:20:16 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	NetAddr
%define	pnam	IP
Summary:	NetAddr::IP - Manages IPv4 and IPv6 addresses and subnets
Summary(pl.UTF-8):	NetAddr::IP - zarządzanie adresami i podsieciami IPv4 i IPv6
Name:		perl-NetAddr-IP
Version:	4.058
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8829958dd84a8b36e3cd10347564739d
URL:		http://search.cpan.org/dist/NetAddr-IP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More)
BuildRequires:	perl-Math-BigInt
BuildRequires:	perl-Module-Signature
%endif
Obsoletes:	perl-NetAddr-IP-Lite <= 0:1.01
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an object-oriented abstraction on top of IP
addresses or IP subnets, that allows for easy manipulations.

%description -l pl.UTF-8
Ten moduł dostarcza obiektowo zorientowaną abstrakcję dla adresów lub
podsieci IP pozwalającą na łatwe operacje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%dir %{perl_vendorarch}/NetAddr
%dir %{perl_vendorarch}/NetAddr/IP
%{perl_vendorarch}/NetAddr/*.pm
%{perl_vendorarch}/NetAddr/IP/*.pm
%dir %{perl_vendorarch}/auto/NetAddr
%dir %{perl_vendorarch}/auto/NetAddr/IP
%{perl_vendorarch}/auto/NetAddr/IP/InetBase
%dir %{perl_vendorarch}/auto/NetAddr/IP/Util
%attr(755,root,root) %{perl_vendorarch}/auto/NetAddr/IP/Util/*.so
%{perl_vendorarch}/auto/NetAddr/IP/Util/*.ix
%{perl_vendorarch}/auto/NetAddr/IP/Util/Util.bs
%dir %{perl_vendorarch}/auto/NetAddr/IP/UtilPP
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/*.ix
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/*.al
%{perl_vendorarch}/auto/NetAddr/IP/*.ix
%{perl_vendorarch}/auto/NetAddr/IP/*.al
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-NetAddr-IP.spec,v $
Revision 1.23  2012/01/14 18:20:16  zbyniu
- up to 4.058

Revision 1.22  2011/10/11 15:07:36  lisu
- rel 4

Revision 1.21  2010/11/12 23:38:06  pawelz
- release 3

Revision 1.20  2010/06/06 08:39:56  arekm
- release 2

Revision 1.19  2009/08/28 08:45:55  amateja
- updated to 4.027

Revision 1.18  2009/01/13 03:01:00  zbyniu
- up to 4.022

Revision 1.17  2008-03-02 21:22:14  radek
- release 3

Revision 1.16  2008-02-10 12:16:07  arekm
- rel 2

Revision 1.15  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.14  2007-12-24 01:33:41  zbyniu
- up to 4.007

Revision 1.13  2007-03-27 10:51:51  radek
- release 3: O: -Lite, more directories (damn dumb RPM feature...)

Revision 1.12  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.10  2006/10/25 08:47:48  glen
- rel 2

Revision 1.9  2006/10/25 08:34:56  ankry
- OPTIMIZE

Revision 1.8  2006/10/25 08:28:26  qboosh
- use package names where possible

Revision 1.7  2006/10/25 08:23:48  ankry
- no longer noarch

Revision 1.6  2006/10/25 08:21:25  glen
- update to 4.004

Revision 1.5  2006/10/25 08:07:25  glen
- more tests BR

Revision 1.4  2005/05/30 12:21:05  petec
- up to 3.24
- updated %doc

Revision 1.3  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.2  2004/11/23 20:57:40  qboosh
- pl, URL

Revision 1.1  2004/11/23 00:17:18  radek
- new
